Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface ReversibleIterator

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, EmptyIterator, RangeExpression.RangeIterator, ReverseArrayIterator, SingletonIterator

public interface ReversibleIterator
extends SequenceIterator

A ReversibleIterator is an interface implemented by any SequenceIterator that is able to deliver items in reverse order (or to supply another iterator that can do so).

Method Summary
`SequenceIterator` | `getReverseIterator()` Get a new SequenceIterator that returns the same items in reverse order.

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`current, getAnother, next, position`

Method Detail

### getReverseIterator

    public SequenceIterator getReverseIterator()

  Get a new SequenceIterator that returns the same items in reverse order. If this SequenceIterator is an AxisIterator, then the returned SequenceIterator must also be an AxisIterator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD